### an aggregatee base class for selecting with ovals, rectangles etc.

use 'GFX-Tools-Buffer::toolsarray';

sub new {
    my $class = shift;

    $self = { areas => toolsarray->new, };

    bless $self, $class;

};

sub getSelectedAreas {
  my $self = shift;

  return $self->{areas};
}

sub addSelectedArea {
  my ($self, $area) = @_;

  $self->{areas}->add($area);
}

### override ->
sub selectArea {
  my ($self, $xoffset, $yoffset, $width, $height, $bitmapmatrixobj, $matrixareaobj) = @_;
  
  return undef;
}

1;
